package com.jozki.uutils.javafx;

import javafx.scene.input.MouseEvent;

public class Mouse {
	public double x;
	public double y;

	public Mouse() {
		setOut();
	}

	/**
	 * Sets mouse out of the screen.
	 */
	public void setOut() {
		x = y = -1;
	}

	public boolean isIn() {
		return x >= 0 && y >= 0;
	}

	public void set(MouseEvent event) {
		x = event.getX();
		y = event.getY();
	}

}
