package com.jozki.uutils.utils;

import java.text.SimpleDateFormat;
import java.util.Date;

public class Utils {

	public static String toString(int x, int y) {
		return "[" + x + ", " + y + "]";
	}

	public static String toString(double x, double y) {
		return String.format("[%.3f, %.3f]", x, y);
	}

	public static String formatTime(String format) {
		return new SimpleDateFormat(format).format(new Date());
	}

	public static String addFilenameSuffix(String filename, String suffix) {
		if (filename == null) {
			return suffix;
		}
		int index = filename.lastIndexOf('.');
		if (index == -1) {
			return filename + suffix;
		}
		return filename.substring(0, index) + suffix + filename.substring(index);
	}
}
