package com.jozki.uutils.utils;

import org.junit.jupiter.api.Assertions;
import org.junit.jupiter.api.Test;

public class UtilsTest {
	
	@Test
	public void addFilenameSuffixTest() {
		Assertions.assertEquals("-10", Utils.addFilenameSuffix(null, "-10"));
		Assertions.assertEquals("-10", Utils.addFilenameSuffix("", "-10"));
		Assertions.assertEquals("subor-10", Utils.addFilenameSuffix("subor", "-10"));
		Assertions.assertEquals("subor-10.txt", Utils.addFilenameSuffix("subor.txt", "-10"));
		Assertions.assertEquals("subor.txt-10.txt", Utils.addFilenameSuffix("subor.txt.txt", "-10"));
	}

}
